
# WSO2 API Manager Analytics

---

| Branch | Build Status |
| :------------ |:-------------
| 2.x | [![Build Status](https://wso2.org/jenkins/job/analytics-products/job/analytics-apim_2.x/badge/icon)](https://wso2.org/jenkins/view/analytics/job/analytics-products/job/analytics-apim_2.x/) |

[<img src="https://cdn.sstatic.net/Sites/stackoverflow/company/img/logos/so/so-logo.svg" width="120">](https://stackoverflow.com/tags/wso2-am/)

---

WSO2 API Analytics provides the capability to monitor API invocations and to summarize statistics in order to monetize API usage. WSO2 API Manager analytics is powered by the WSO2 Stream Processor (SP).

# WSO2 API Manager Analytics can monitor the following:

- API Subscriptions: Number of subscriptions per API (across all versions of an API)
- API Usage: Number of API calls being made per API (across all versions of an API)
- API Response Times: 
- API Last Access Times: The subscribers who did the last 10 API invocations and the APIs/versions they invoked
- API Usage by Resource Path: Usage of an API and from which resource path (per API version)
- API Usage by Destination: Destination-based usage tracking, if enabled
- API Usage by User: Number of times a user has accessed an API
- Faulty Invocations: The number of API invocations that failed to reach the endpoint per API per user

You can install the WSO2 API Manager analytics component by following the documentation found at https://docs.wso2.com/display/AM250/WSO2+API+Manager+Analytics

# How to Contribute

Please report issues to our [API Analytics GIT Issues] (https://github.com/wso2/analytics-apim/issues)
Send your pull requests to [analytics-apim] (https://github.com/wso2/analytics-apim)

# Contact us
You can talk to us via the mailing lists:

WSO2 Developers List : dev@wso2.org
WSO2 Architecture List : architecture@wso2.org

